Journal Lines
The journal lines resource.
Basehttps://rest.carbon.ms/journalLines
GET
/journalLinesList journal lines
Retrieve a paginated list of journal lines. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/journalLines
curl --request GET \
--url 'https://rest.carbon.ms/journalLines?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"journalId": "xyz789",
"description": "string",
"amount": 0,
"quantity": 10,
"documentType": "string",
"documentId": "xyz789",
"externalDocumentId": "xyz789"
}
]GET
/journalLinesRetrieve a journal lines
Fetch a single journal lines by filtering on `id`.
Query parameters
idstringMatch on the journal lines's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/journalLines
curl --request GET \
--url 'https://rest.carbon.ms/journalLines?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"journalId": "xyz789",
"description": "string",
"amount": 0,
"quantity": 10,
"documentType": "string",
"documentId": "xyz789",
"externalDocumentId": "xyz789"
}